SparkFun ProDriver TC78H670FTG Arduino Library
===========================================================

![SparkFun ProDriver - Stepper Motor Driver (TC78H670FTG)](https://cdn.sparkfun.com//assets/parts/1/5/7/5/7/16836-SparkFun_ProDriver_-_Stepper_Motor_Driver__TC78H670FTG_-01a.jpg)

[*SparkFun ProDriver - Stepper Motor Driver (TC78H670FTG) (ROB-16836)*](https://www.sparkfun.com/products/16836)

The SparkFun ProDriver makes it easy to start developing with the TC78H670FTG bipolar stepper motor driver from Toshiba! Latch terminals provide instant solder-less connections to every feature offered. Use our extensive Arduino Library with 10 examples, and you can quickly explore the many features of this precise and small package size motor driver IC.

In addition to high resolution control (down to 1/128th of a step), the ProDriver can be controlled via traditional clock-in stepping or serial commands. Both methods are  demonstrated in the Arduino Library. The serial command method is especially unique in that it allows the user to precisely control the phase, torque, current limit and mixed decay ratio of each coil immediately during stepping. Most stepper motor driver ICs require using an external trimpot to set the current limit, but with the ProDriver, you can precisely adjust this via serial commands!

Repository Contents
-------------------

* **/examples** - Example sketches for the library (.ino). Run these from the Arduino IDE. 
* **/src** - Source files for the library (.cpp, .h).
* **keywords.txt** - Keywords from this library that will be highlighted in the Arduino IDE. 
* **library.properties** - General library properties for the Arduino package manager. 

Documentation
--------------
* **[SparkFun ProDriver Hookup Guide](https://learn.sparkfun.com/tutorials/toshiba-stepper-motor-driver-prodriver)** - Hookup guide for the SparkFun ProDriver
* **[Installing an Arduino Library Guide](https://learn.sparkfun.com/tutorials/installing-an-arduino-library)** - Basic information on how to install an Arduino library.
* **[Product Repository](https://github.com/sparkfun/SparkFun_ProDriver_TC78H670FTG)** - Main repository (including hardware files)

License Information
-------------------

This product is _**open source**_! 

Please review the LICENSE.md file for license information. 

If you have any questions or concerns on licensing, please contact techsupport@sparkfun.com.

Please use, reuse, and modify these files as you see fit. Please maintain attribution to SparkFun Electronics and release any derivative under the same license.

Distributed as-is; no warranty is given.

- Your friends at SparkFun.
